OpenJPEG: opj_codestream_info Struct Reference

OpenJPEG 2.5.0

Data Fields
opj_codestream_info Struct Reference

Index structure of the codestream. More...

`#include <openjpeg.h>`

## Data Fields
double | D_max
| maximum distortion reduction on the whole image (add for Marcela) More...
int | packno
| packet number More...
int | index_write
| writing the packet in the index with t2_encode_packets More...
int | image_w
| image width More...
int | image_h
| image height More...
OPJ_PROG_ORDER | prog
| progression order More...
int | tile_x
| tile size in x More...
int | tile_y
| tile size in y More...
int | tile_Ox
int | tile_Oy
int | tw
| number of tiles in X More...
int | th
| number of tiles in Y More...
int | numcomps
| component numbers More...
int | numlayers
| number of layer More...
int * | numdecompos
| number of decomposition for each component More...
int | marknum
| number of markers More...
opj_marker_info_t * | marker
| list of markers More...
int | maxmarknum
| actual size of markers array More...
int | main_head_start
| main header position More...
int | main_head_end
| main header position More...
int | codestream_size
| codestream's size More...
opj_tile_info_t * | tile
| information regarding tiles inside image More...

## Detailed Description

Index structure of the codestream.

## Field Documentation

## ◆ codestream_size

int opj_codestream_info::codestream_size

codestream's size

Referenced by opj_write_cidx().

## ◆ D_max

double opj_codestream_info::D_max

maximum distortion reduction on the whole image (add for Marcela)

Referenced by opj_t2_encode_packet().

## ◆ image_h

int opj_codestream_info::image_h

image height

## ◆ image_w

int opj_codestream_info::image_w

image width

## ◆ index_write

int opj_codestream_info::index_write

writing the packet in the index with t2_encode_packets

Referenced by opj_t2_encode_packet(), opj_t2_encode_packets(), opj_tcd_encode_tile(), and opj_tcd_rate_allocate_encode().

## ◆ main_head_end

int opj_codestream_info::main_head_end

main header position

Referenced by opj_write_mainmhix().

## ◆ main_head_start

int opj_codestream_info::main_head_start

main header position

Referenced by opj_write_mainmhix().

## ◆ marker

opj_marker_info_t* opj_codestream_info::marker

list of markers

Referenced by opj_write_cidx(), and opj_write_mainmhix().

## ◆ marknum

int opj_codestream_info::marknum

number of markers

Referenced by opj_write_cidx(), and opj_write_mainmhix().

## ◆ maxmarknum

int opj_codestream_info::maxmarknum

actual size of markers array

## ◆ numcomps

int opj_codestream_info::numcomps

component numbers

Referenced by opj_tcd_encode_tile(), opj_write_phix(), opj_write_phixfaix(), opj_write_ppix(), and opj_write_ppixfaix().

## ◆ numdecompos

int* opj_codestream_info::numdecompos

number of decomposition for each component

Referenced by opj_write_phixfaix(), opj_write_ppixfaix(), and opj_write_tpixfaix().

## ◆ numlayers

int opj_codestream_info::numlayers

number of layer

Referenced by opj_tcd_encode_tile(), opj_write_phixfaix(), and opj_write_ppixfaix().

## ◆ packno

int opj_codestream_info::packno

packet number

Referenced by opj_j2k_write_sod(), opj_t2_encode_packet(), and opj_t2_encode_packets().

## ◆ prog

OPJ_PROG_ORDER opj_codestream_info::prog

progression order

Referenced by opj_write_phixfaix(), and opj_write_ppixfaix().

## ◆ th

int opj_codestream_info::th

number of tiles in Y

Referenced by get_num_max_tile_parts(), opj_write_phixfaix(), opj_write_ppixfaix(), opj_write_thix(), and opj_write_tpixfaix().

## ◆ tile

opj_tile_info_t* opj_codestream_info::tile

information regarding tiles inside image

Referenced by get_num_max_tile_parts(), opj_t2_encode_packet(), opj_t2_encode_packets(), opj_tcd_encode_tile(), opj_tcd_rateallocate(), opj_write_phixfaix(), opj_write_ppixfaix(), opj_write_tilemhix(), and opj_write_tpixfaix().

## ◆ tile_Ox

int opj_codestream_info::tile_Ox

## ◆ tile_Oy

int opj_codestream_info::tile_Oy

## ◆ tile_x

int opj_codestream_info::tile_x

tile size in x

## ◆ tile_y

int opj_codestream_info::tile_y

tile size in y

## ◆ tw

int opj_codestream_info::tw

number of tiles in X

Referenced by get_num_max_tile_parts(), opj_write_phixfaix(), opj_write_ppixfaix(), opj_write_thix(), and opj_write_tpixfaix().

The documentation for this struct was generated from the following file:

- openjpeg.h